
#include <Wire.h>
#include <LiquidCrystal_PCF8574.h>
#include <DS3231.h>
#include <Servo.h>

DS3231  rtc(SDA, SCL);

LiquidCrystal_PCF8574 lcd(0x3F);

Servo servo1;
Servo servo2;
int pos = 0;

void setup()
{

Serial.begin(115200);
Serial.println("Trial LCD + DS3231");
//myservo1.attach(7);  // attaches the servo on pin 9 to the servo object
//myservo2.attach(8);

rtc.begin();

lcd.begin(20, 4); // initialize the lcd
lcd.setBacklight(255);
lcd.setCursor(0,0);
lcd.print(" 1th. Arduino Paolo ");
lcd.setCursor(0,2);
lcd.print("    LCD + DS3231  ");
delay(5000);
lcd.clear();
//rtc.setDOW(MONDAY);
} 

void loop()
{
Serial.print(rtc.getDOWStr(1));
Serial.print(" ");
  
Serial.print(rtc.getDateStr());
Serial.print(" -- ");
  
Serial.println(rtc.getTimeStr());
Serial.print(" -- ");
    
Serial.print(rtc.getTemp());

lcd.setCursor(0,0);
lcd.print(rtc.getDOWStr(1));
lcd.setCursor(3,0);
lcd.print(",");

lcd.setCursor(4,0);
lcd.print(rtc.getDateStr());

lcd.setCursor(0,1);
lcd.print(rtc.getTimeStr());

lcd.setCursor(10,1);
lcd.print("t:");

lcd.setCursor(12,1);
lcd.print(rtc.getTemp());

lcd.setCursor(0, 2);
lcd.print("Mangiatoia");

lcd.setCursor(0, 3);
lcd.print("Automatica");

lcd.scrollDisplayRight();

delay (1000);
}
void loop() {
  for (pos = 0; pos <= 180; pos += 1) { // goes from 0 degrees to 180 degrees
                                        // in steps of 1 degree
    myservo1.write(pos);                // tell servo to go to position in variable 'pos'
    delay(10);                          // waits 15ms for the servo to reach the position
    myservo2.write(pos);                // tell servo to go to position in variable 'pos'
    delay(10);            
  }
  for (pos = 180; pos >= 0; pos -= 1) { // goes from 180 degrees to 0 degrees
    myservo1.write(pos);                // tell servo to go to position in variable 'pos'
    delay(10);                          // waits 15ms for the servo to reach the position
    myservo2.write(pos);                // tell servo to go to position in variable 'pos'
    delay(10);
  }
  }
